#
# Conditional build:
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

%define 	module	parted
Summary:	Python 2.x bindings for libparted library
Summary(pl.UTF-8):	Wiązania Pythona 2.x do biblioteki libparted
Name:		python-%{module}
Version:	3.10
Release:	9
License:	GPL v2+
Group:		Libraries/Python
Source0:	https://fedorahosted.org/releases/p/y/pyparted/pyparted-%{version}.tar.gz
# Source0-md5:	d494440b34bc9ea0afea45c4a4ac3274
URL:		https://fedorahosted.org/pyparted/
BuildRequires:	parted-devel >= 3.1
BuildRequires:	pkgconfig
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.710
%if %{with python2}
BuildRequires:	python-devel >= 1:2.7
%endif
%if %{with python3}
BuildRequires:	python3-devel
BuildRequires:	python3-distribute
BuildRequires:	python3-modules
%endif
Requires:	parted >= 3.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Python 2.x bindings for the libparted library. It is used for
manipulating partition tables.

%description -l pl.UTF-8
Wiązania Pythona 2.x do biblioteki libparted. Służy do modyfikowania
tablic partycji.

%package -n python3-%{module}
Summary:	Python 3.x bindings for libparted library
Summary(pl.UTF-8):	Wiązania Pythona 3.x do biblioteki libparted
Group:		Libraries/Python

%description -n python3-%{module}
Python 3.x bindings for the libparted library. It is used for
manipulating partition tables.

%description -n python3-%{module} -l pl.UTF-8
Wiązania Pythona 3.x do biblioteki libparted. Służy do modyfikowania
tablic partycji.

%prep
%setup -q -n pyparted-%{version}

%build
%if %{with python2}
%py_build
%endif

%if %{with python3}
%py3_build
%endif

%install
rm -rf $RPM_BUILD_ROOT
%if %{with python2}
%py_install

%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc AUTHORS BUGS ChangeLog NEWS README TODO
%attr(755,root,root) %{py_sitedir}/_ped.so
%dir %{py_sitedir}/parted
%{py_sitedir}/parted/*.py[co]
%{py_sitedir}/pyparted-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc AUTHORS BUGS ChangeLog NEWS README TODO
%attr(755,root,root) %{py3_sitedir}/_ped.*.so
%dir %{py3_sitedir}/parted
%{py3_sitedir}/parted/*.py
%{py3_sitedir}/parted/__pycache__
%{py3_sitedir}/pyparted-%{version}-py*.egg-info
%endif
%changelog
* Wed Dec 28 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-parted.git;a=log;h=master

* Wed Dec 28 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> e4b233a
- python 3.6
- release 9 (by relup.sh)

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 3573fe6
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 312e5c9
- release 8 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> f037ab2
- automatic change: use py_build/py_install macros

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 4ad1d9e
- python3.5 rebuild
- release 7 (by relup.sh)

* Sun Sep 13 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 6396bbb
- python 3.5 rebuild
- release 6 (by relup.sh)

* Sun Mar 01 2015 Elan Ruusamäe <glen@delfi.ee> b9a22ac
- x32 rebuild
- release 5 (by relup.sh)

* Sun Oct 19 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 47ee4ad
- python 3.4
- release 4 (by relup.sh)

* Fri Jan 17 2014 Jakub Bogusz <qboosh@pld-linux.org> eb5307b
- better descriptions

* Tue Jan 14 2014 Elan Ruusamäe <glen@delfi.ee> 04e6a5f
- missing dir

* Tue Jan 14 2014 Elan Ruusamäe <glen@delfi.ee> 65aa80c
- add python3 package: python3-parted

* Sun May 26 2013 Jakub Bogusz <qboosh@pld-linux.org> cce5f45
- updated to 3.10

* Fri May 17 2013 Elan Ruusamäe <glen@delfi.ee> 89ffcaa
- build withour optflags

* Sun Dec 09 2012 Jakub Bogusz <qboosh@pld-linux.org> e60c57f
- updated to 3.9

* Mon Mar 12 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 8467569
- release 2

* Sun Sep 11 2011 Jakub Bogusz <qboosh@pld-linux.org> 1a9fabb
- dropped obsolete BRs

* Sun Sep 11 2011 Jakub Bogusz <qboosh@pld-linux.org> 3034d7e
- package TODO

* Fri Aug 26 2011 Artur Frysiak <artur@frysiak.net> 5eec37a
- up to 3.8

* Fri Mar 11 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 81e4aaa
- release 2

* Fri Feb 04 2011 Jakub Bogusz <qboosh@pld-linux.org> b4b55a3
- macros for py_postclean

